### Method

# St ThemeNode lookup_url

#### Declaration [src]

    gboolean
    st_theme_node_lookup_url (
      StThemeNode* node,
      const char* property_name,
      gboolean inherit,
      GFile** file
    )

#### Description [src]

Looks up a property containing a single URL value.

See also st_theme_node_get_url(), which provides a simpler API.

#### Parameters

`property_name`

  Type: `const char*`

  The name of the string property.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`inherit`

  Type: `gboolean`

  If `TRUE`, if a value is not found for the property on the node, then it will be looked up on the parent node, and then on the parent’s parent, and so forth. Note that if the property has a value of ‘inherit’ it will be inherited even if `FALSE` is passed in for `inherit`; this only affects the default behavior for inheritance.

`file`

  Type: `GFile`

  Location to store the newly allocated value that was determined. If the property is not found, the value in this location will not be changed.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the property was found in the properties for this theme node (or in the properties of parent nodes when inheriting.).